Bug 116775 - dependency checks have bizarre behavior
dependency checks have bizarre behavior
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
:
Depends On:
Blocks: 120092
  Show dependency treegraph
 
Reported: 2004-02-24 20:36 EST by Patrick Griffin
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-29 08:44:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Patrick Griffin 2004-02-24 20:36:39 EST
Description of problem:
When trying to run up2date on rawhide on 2/24/04, the dependency
checker complains:
 Unresolvable chain of dependencies:
gnomemeeting  0.98.5-1  requires libopenh323.so.1.12.0
gnomemeeting  0.98.5-1  requires libpt.so.1.5.0

However, gnomemeeting is not selected under the package list.  In
fact, it isn't even available to be checked off.

Version-Release number of selected component (if applicable):


How reproducible:
Every time.

Steps to Reproduce:
1. run up2date
2. press forware until package list, check all boxes, but no
gnomemeeting present
3. press forward again, and dependency check gives the above error
message.
  
Actual results:
dep. check failure

Expected results:
continue to download/install, no gnomemeeting involved.

Additional info:
Just prior to this, I manually updated openssl because up2date was
requiring that it be updated in order to install openssl-devel, but
up2date couldn't obtain openssl itself.
Don't know if forcing that install could have made trouble.  Perhaps
it deserves its own bug report, but the one above is certainly more
annoying.
Comment 1 John Reiser 2004-03-15 12:01:42 EST
My complaint is "Duplicate" to this, but I characterize it as
"dependency errors are not reported in terms of user-selected
packages".  When a constraint is violated, then the error report
should list both the immediate cause _and_ a "traceback" to any and
all packages that the user selected for the current operation.  Long
or wide tracebacks (more than 10 packages) might have to be truncated
in the middle, but at least some of the innermost [closest to error]
and outermost [specified by user] packages must appear.
Comment 2 John Thacker 2006-10-29 08:44:54 EST
Note that FC2 is no longer supported even by Fedora Legacy.  Also, up2date has
been replaced by pirut and pup since FC5.  FC3 and FC4 are supported by Fedora
Legacy for security issues only.  If this still occurs on FC3 or FC4 and is a
security issue, please reopen and assign to that version and Fedora Legacy.  If
it occurs on RHEL 3 or 4, please reassign or refile against that product.

The codebase for pirut and pup is quite different, so existing bugs do not
apply, but please continue testing them on the still supported versions of
Fedora Core and file bugs as necessary.

Note You need to log in before you can comment on or make changes to this bug.